'use strict';
const Path = require('path');
const TasksUtil = require('./gulp/util/utils');


exports = module.exports = {};

exports.setGulpConfig = function(config) {
    TasksUtil.gulpConfig = config;
};

exports.setMetalsmithConfig = function(config) {
    TasksUtil.metalsmithConfig = config;
};

exports.loadTasks = function() {
    require('./gulp/tasks/alias');
    require('./gulp/tasks/build');
    require('./gulp/tasks/compile');
    require('./gulp/tasks/deploy');
    require('./gulp/tasks/dev');
    require('./gulp/tasks/production');
};


