'use strict';
const Gulp = require('gulp');
const GulpPlumber = require('gulp-plumber');
const TasksUtils = require('./utils');


exports = module.exports = {};

exports.buildImages = function (bundle) {
    return Gulp.src(bundle.src, bundle.srcOpts)
        .pipe(GulpPlumber(TasksUtils.streamErrorHandler))
        .pipe(Gulp.dest(bundle.dest));
};

exports.buildCopy = function (bundle) {
    return Gulp.src(bundle.src, bundle.srcOpts)
        .pipe(GulpPlumber(TasksUtils.streamErrorHandler))
        .pipe(Gulp.dest(bundle.dest));
};