const Gulp = require('gulp');
const TepezStaticWebsite = require('..');


describe('tepez-static-website', () => {
    describe('.loadTasks()', () => {
        it('should gulp the tasks', () => {
            expect(Gulp.tasks).toEqual({});
            TepezStaticWebsite.loadTasks();

            expect(Object.keys(Gulp.tasks).sort()).toEqual([
                'build',
                'build-browserify',
                'build-clean',
                'build-copy',
                'build-images',
                'build-lint-js',
                'build-sass',
                'build-static-site',
                'build-unit-test',
                'compile',
                'compile-clean',
                'compile-copy',
                'compile-css',
                'compile-images',
                'compile-js',
                'compile-static-site',
                'default',
                'deploy',
                'deploy-s3',
                'dev',
                'dev-browserSync',
                'dev-unit-test',
                'dev-watch',
                'dev-watchify',
                'full',
                'production',
                'production-clean',
                'production-copy',
                'production-copy-gzip',
                'production-static-site'
            ]);
        });
    });
});
